Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPParameter

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICPPBinding`, `ICPPVariable`, `IParameter`, `IVariable`

public interface ICPPParameter extends IParameter, ICPPVariable

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ICPPParameter[]`
`EMPTY_CPPPARAMETER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IParameter

`EMPTY_PARAMETER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`EMPTY_VARIABLE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IValue`
`getDefaultValue()`
Returns the default value of this parameter if it has one, or null otherwise.
`boolean`
`hasDefaultValue()`
if there is a default value or not.
`boolean`
`isParameterPack()`
Returns whether this parameter is a parameter pack.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPVariable

`isConstexpr, isExternC, isMutable`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IParameter

`getInitialValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`getType, isAuto, isExtern, isRegister, isStatic`

## Field Details

### EMPTY_CPPPARAMETER_ARRAY

static final ICPPParameter[] EMPTY_CPPPARAMETER_ARRAY

Since:
  5.2

## Method Details

### hasDefaultValue

boolean hasDefaultValue()
if there is a default value or not.

### getDefaultValue

IValue getDefaultValue()
Returns the default value of this parameter if it has one, or null otherwise.

Since:
  5.7

### isParameterPack

boolean isParameterPack()
Returns whether this parameter is a parameter pack.

Since:
  5.2